<?php
require_once("../../includes/bootstrap.php");
$sesion = new sesion();
//---------------
cache();
//-----------------
$sesion->set('permiso', permisos($_POST['privilegio']));

$academia = bootstrap::initBd($sesion->getVar("anio"));
?>
<script>
    $(function() {
        var chart = null;
        var rutModulo = "mod_estadisticas/num_hom_muj/";
        var optChar = {
            chart: {
                renderTo: 'num_hom_muj',
                type: 'column',
            },
            title: {
                text: 'NÚMERO DE HOMBRES Y MUJERES'
            },
            subtitle: {
                text: ''
            },
            xAxis: {
                categories: [],
                title: {
                    text: null
                },
                labels: {
                    rotation: 0,
                    align: 'right',
                    style: {
                        fontSize: '10px',
                        fontFamily: 'Verdana, sans-serif'
                    }
                }
            },
            yAxis: {
                min: 0,
                title: {
                    text: 'Número de estudiantes',
                },
                labels: {
                    overflow: 'justify'
                }
            },
            tooltip: {
                formatter: function() {
                    return '' +
                            this.x + ' <br> Estudiantes:<b>' + this.y + "<b>";
                }
            },
            plotOptions: {
                column: {
                    dataLabels: {
                        enabled: true
                    },
                }
            },
            legend: {
                enabled: false
            },
            credits: {
                enabled: true
            },
            series: []
        };
        var subTitle="";
        var cd_grupo="0x", cd_sede="0x", cd_jor="0x",nom_grupo='';
        function load_data() {
            $.ajax({
                url: rutModulo + 'list_num_hom_muj.php',
                data: {
                    t:1
                },
                async: false,
                success: function(rta) {
                    if (chart) {
                        chart.destroy();
                    }
                    rta = $.parseJSON(rta);
                    optChar.series = rta.series;
                    optChar.xAxis.categories = rta.category;
                    chart = new Highcharts.Chart(optChar);
                }
            });
        }
        ;
        load_data();

        $("#txtsedes,#txtjornadas,#txtgrupo").attr("disabled", "disabled");
        $("#txtver").change(function() {
            if ($(this).val() == 1) {
                $("#txtsedes,#txtjornadas,#txtgrupo").attr("disabled", "disabled");
            } else {
                $("#txtsedes,#txtjornadas,#txtgrupo").removeAttr("disabled")
            }
            subTitle="Todos los estudiantes matriculados";
        
                    
            busqueda();
        });
        $("#txtsedes").change(function() {
            cd_sede = $(this).val();

            if (cd_sede != '0x') {
                $.post("includes/cargar_selec_normal.php", {
                    codigo: 'a20',
                    cod_cnds: cd_sede,
                    grb: ''
                }, function(dt) {
                    $("#txtjornadas").html(dt);
                    busqueda();
                });

                $.post("mod_estudiantes/cargar_selec_grupos.php", {
                    sede: cd_sede
                }, function(dt) {
                    $("#txtgrupo").html(dt);
                });
               
            } else {

                $("#txtgrupo").html("<option value='0x'>Seleccionar...</option>");
                $.post("includes/cargar_selec_normal.php", {
                    codigo: 'a20',
                    cod_cnds: '',
                    grb: ''
                }, function(dt) {
                    $("#txtjornadas").html(dt);
                    busqueda();
                });
            }
        });

        $("#txtgrupo").change(function() {
            cd_grupo=$(this).val();
            nom_grupo=$("option:selected", this).parent()[0].label;
            $("#nomGrupo").text(nom_grupo);
            busqueda();
        });

        $("#txtjornadas").change(function() {
            cd_jor = $(this).val();
            if (cd_jor != '0x'){
                cn = "cod_jornada=" + cd_jor;
            }else{
                cn = '';
            }
            $.post("mod_estudiantes/cargar_selec_grupos.php", {
                sede: cd_sede,
                cmpcnd: cn
            }, function(dt) {
                $("#txtgrupo").html(dt);
                busqueda();
            });
        });

        busqueda = function() {
             chart.showLoading();
            if(cd_sede!='0x'){
                subTitle="<b>Sede: </b>"+ $("option:selected",$("#txtsedes")).text().ucwords();
            }
            if(cd_jor!='0x'){
                subTitle+=" <b>Jornada: </b>"+ $("option:selected",$("#txtjornadas")).text().ucwords();
            }
            if(cd_grupo!='0x'){
                subTitle+=" <b>Grupo: </b> "+ nom_grupo+" "+ $("option:selected",$("#txtgrupo")).text().ucwords();
            }
            
            subTitle+=" <b>Año Lectivo: </b><?php echo $sesion->getVar("anio") ?>";
            
            $.ajax({
                url: rutModulo + 'list_num_hom_muj.php',
                data: {
                    t: $("#txtver").val(),
                    sede: $("#txtsedes").val(),
                    grupo: $("#txtgrupo").val(),
                    jornada: $("#txtjornadas").val()
                },
                async: false,
                success: function(rta) {
                    if (chart) {
                        chart.destroy();
                    }
                    optChar.subtitle.text = subTitle;
                    rta = $.parseJSON(rta);
                    optChar.series = rta.series;
                    optChar.xAxis.categories = rta.category;
                    chart = new Highcharts.Chart(optChar);
                    chart.hideLoading();
                }
            });
        };



    });

</script>
<table align="center">  
    <tr clas class="tit1">
        <td><?php echo $dtsLang['globals']['mostrar'] ?></td>
        <td><?php echo $dtsLang['globals']['name_sede'] ?></td>
        <td><?php echo $dtsLang['globals']['name_jornada'] ?></td>
        <td><?php echo $dtsLang['globals']['grupos'] ?>&nbsp;<span class="text4" id="nomGrupo"></span></td>
    </tr>
    <tr>
        <td><select name="txtver" id="txtver" class="campos">
                <option value="1">Todos los estudiantes</option>
                <option value="2">Solo matriculados</option>
            </select></td>
        <td>
            <select name="txtsedes" class="campos" id="txtsedes" style="width:250px" >
                <?php
                $cmps = "cod_sede, initcap(nom_sede) as 'nom_sede'";
                $ord = 'ORDER BY cod_sede ASC';
                $tabla = "adm_sedes";
                $cmpcnd = "";
                $default = '';
                mostrar_cont_selec($cmps, $tabla, $cmpcnd, $ord, $default, false, '', 0);
                ?>
            </select></td>
        <td><select name="txtjornadas" class="campos" id="txtjornadas" style="width:160px">
                <option value="0x">Seleccionar...</option>
                <?php
                $sql = "SELECT DISTINCT pag_estudiantes_adm.cod_jornada, pag_estudiantes_adm.nom_jornada FROM
    pag_estudiantes_adm     INNER JOIN aux_jornadas  ON (pag_estudiantes_adm.cod_jornada = aux_jornadas.cod_jornada) ORDER BY aux_jornadas.orden;";
                $academia->instruccion($sql);
                while ($reg = $academia->extraer_registro()) {
                    echo "<option value='" . $reg['cod_jornada'] . "'>" . $reg['nom_jornada'] . "</option>";
                }
                $academia->liberar();
                ?>
            </select></td>
        <td><select name="txtgrupo" class="campos" id="txtgrupo" style="width:160px">
                <option value="0x">Seleccionar...</option>
            </select></td>
    </tr>
</table>
<div id="num_hom_muj" style="width: 700px; height: 500px">

</div>